# schedule_package

Use it to implement your own solutions with the
schedule of some educational institutions on Flutter.

Before using it, you can contact the developer or read a little documentation.
Remember that when you use this package, you must specify the author,
or you can write your own site parser.

## Getting Started

##### getScheduleWeekFuture(String groupLink)
Using this method, you can get a schedule for the week of a certain group.
```dart
Future<void> getAllGroupsWeek() async {
    await getScheduleWeekFuture("cg38.htm").then((value) {
      print(value);
    });
  }
```

##### getAllGroupsFuture()
Using this method, you can get a list of all groups.
```dart
Future<void> getAllGroupsMain() async {
    if (groupList.length == 0) {
      await getAllGroupsFuture().then((value) {
		print(value);
	  }));
    }
  }
```
